---
features:
  secondary:
  - name: "Dependency Scanning default Python image"
    available_in: [ultimate]
    categories:
    - 'Software Composition Analysis'
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/dependency_scanning/index.html#supported-languages-and-package-managers'
    reporter: johncrowley
    stage: application_security_testing
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/441491'
    description: |
      Following the deprecation of Python 3.9 as the default Python image, Python 3.11 is now the default image. 

      As outlined in the [deprecation notice](https://docs.gitlab.com/ee/update/deprecations.html?removal_milestone=17.0#deprecate-python-39-in-dependency-scanning-and-license-scanning), the target for the new default Python version was 3.10. The direct move to Python 3.11 was required to ensure FIPS compliance.
